var requestOptions = {
    method: 'GET',
    headers: { 'Content-Type': 'application/json' },
};
fetch('/doxme/', requestOptions) //call api
    .then(function (response) {
        return response.json();
    })
    .then(function (jsonResponse) {
        var user_ip = jsonResponse.ip_info.ip;
        var user_country = jsonResponse.ip_info.country;
        var user_region = jsonResponse.ip_info.country_code;
        // Update the HTML elements with the fetched information
        document.getElementById('ip').textContent = ''.concat(user_ip);
        document.getElementById('country').textContent = ''.concat(user_country);
        document.getElementById('region').textContent = ''.concat(user_region);
        console.log('user_ip:', user_ip);
        console.log('couintry:', user_country);
        console.log('region:', user_region);
    })
    .catch(function (error) {
        console.error('Error fetching IP information:', error);
    });
fetch('http://ip-api.com/json/')
    .then(function (response) {
        return response.json();
    })
    .then(function (data) {
        var user_city = data.city;
        var user_isp = data.isp;
        console.log('user_city', user_city);
        console.log('user_isp', user_isp);
        document.getElementById('city').textContent = ''.concat(user_city);
        document.getElementById('isp').textContent = ''.concat(user_isp);
    })
    .catch(function (err) {
        console.log('idk error', err);
    });
